/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workprocesstype.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 工程控制类型Entity
 * @author 马鹏波
 * @version 2018-06-07
 */
public class WorkProcessType extends DataEntity<WorkProcessType> {
	
	private static final long serialVersionUID = 1L;
	private String companyId;		// 公司编号
	private String state;		// 状态
	private String stateId;		// 类型编号
	
	public WorkProcessType() {
		super();
	}

	public WorkProcessType(String id){
		super(id);
	}

	@ExcelField(title="公司编号", align=2, sort=7)
	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}
	
	@ExcelField(title="状态", align=2, sort=8)
	public String getState() {
		return state;
	}

	public void setState(String state) {
		this.state = state;
	}
	
	@ExcelField(title="类型编号", align=2, sort=9)
	public String getStateId() {
		return stateId;
	}

	public void setStateId(String stateId) {
		this.stateId = stateId;
	}
	
}